# $Revision: 1.12 $, $Date: 2008-01-31 21:40:05 $
Summary:	Japanese Morphological Analysis System, ChaSen
Summary(pl.UTF-8):	System analizy morfologii japońskiej ChaSen
Name:		chasen
Version:	2.3.3
Release:	2
Epoch:		0
License:	Freeware
Group:		Applications/Text
Source0:	http://chasen.aist-nara.ac.jp/stable/chasen/%{name}-%{version}.tar.gz
# Source0-md5:	629e90d9490bac95606c38c2d344cc5f
Patch0:		%{name}-gcc4.patch
URL:		http://chasen.aist-nara.ac.jp/
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
BuildRequires:	darts
BuildRequires:	iconv
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Japanese Morphological Analysis System.

%description -l pl.UTF-8
System analizy morfologii japońskiej ChaSen.

%package devel
Summary:	Header files for ChaSen developers
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających systemu ChaSen
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}

%description devel
Header files for ChaSen developers.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla deweloperów używających systemu ChaSen.

%package static
Summary:	Static ChaSen library
Summary(pl.UTF-8):	Biblioteka statyczna ChaSen
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}

%description static
Static ChaSen library.

%description static -l pl.UTF-8
Biblioteka statyczna ChaSen.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%lang(ja) %doc doc/manual-j.pdf
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_libdir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/chasen-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/libchasen.la
%{_includedir}/chasen.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libchasen.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: chasen.spec,v $
Revision 1.12  2008-01-31 21:40:05  glen
- rel 2

Revision 1.11  2007-02-12 21:23:50  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.9  2006/02/25 20:03:40  pluto
- gcc4 fix.

Revision 1.8  2005/05/28 10:37:23  zbyniu
- BR: iconv

Revision 1.7  2004/12/15 12:17:16  radek
- minor License unifications

Revision 1.6  2003/12/06 21:50:28  qboosh
- updated to 2.3.3, removed obsolete nolibs patch
- BR: darts, libstdc++-devel

Revision 1.5  2003/10/10 19:44:08  qboosh
- added missing ldconfig call

Revision 1.4  2003/09/12 19:37:44  twittner
- Release 2: now rel.1 is for Ra* on RA-branch,
  rel.2 for newer than Ra*

Revision 1.3  2003/09/01 11:54:18  qboosh
- added nolibs patch, cleanups, BR: ac,am,lt

Revision 1.2  2003/09/01 07:15:56  twittner
- added static package

Revision 1.1  2003/09/01 03:22:19  twittner
- new, for namazu, NFY, my 1st

Based on http://sacral.c.u-tokyo.ac.jp/~hasimoto/Pineapple/0.2/testing/SPECS/chasen.spec.
